import { FakeAuthRepository } from '@app/testing/domain/authentification/fake-auth.repository';
import { VerifyEmailUseCase } from '@app/application/authentification/verify-email.usecase';

describe('VerifyEmailUseCase', () => {
  it("devrait verifier le mail de l'utilisateur ", () => {
    const repo = new FakeAuthRepository();
    const useCase = new VerifyEmailUseCase(repo);

    expect(useCase.execute()).toBeFalsy();
  });
});
